## com.baidubce.services.vod
Class FileUploadSession

    java.lang.Object
      com.baidubce.services.vod.FileUploadSession

    public class FileUploadSession

extends Object

Constructor Summary
`FileUploadSession(BosClient bosClient)`

Method Summary
`boolean` `upload(File file, String bucket, String bosKey)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FileUploadSession

    public FileUploadSession(BosClient bosClient)

Method Detail

### upload

    public boolean upload(File file,
                          String bucket,
                          String bosKey)

Copyright © 2016. All rights reserved.